// $Id: helper.js,v 1.24.2.1 2010/03/08 13:52:36 toddy Exp $

/**
 * @file
 * Update ICAO and real name fields after place has changed.
 * 
 * Copyright © 2006-2010 Tobias Quathamer <t.quathamer@gmx.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

(function ($) {

Drupal.behaviors.weather_place_update = {
  attach: function() {
    // Update ICAO and real name fields after place has changed.
    $('#edit-place').change(function () {
      $('#edit-icao').val(this.options[this.selectedIndex].value);
      $('#edit-real-name').val(this.options[this.selectedIndex].text);
      return false;
    });
  }
}

})(jQuery);
